using System;

namespace Micro.Interfaces.SymTab
{
    /// A type structure stores the type attributes of a declared type.
    public interface IStruct
    {
        bool Equals(object o);
        int GetHashCode();
        StructKind Kind { get; }
        // this field is necessary for the building the
        // assembly with System.Reflection.Emit
        // CLR runtime type object
        Type SysType { get; }
    }
}